<?php require_once 'config.php';
/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

echo "<html>"; 
echo "<head><title>AssetTrackDB</title>";
echo "<link rel='stylesheet' type='text/css' href='mystyle.css' />";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo '<script type="text/javascript" src="jscolor/jscolor.js"></script>';
echo "</head>"; 
echo "<body>"; 

//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
include 'includes/lmenu.php';
//--END Menu Code--


//Disallow Read-Only Users Access to this page
if($rostate==1 OR $sadminstate==0)
    {
        echo "<br><center><div id=err>Read Only / Non-Admin User: You do not have access to this page</div></center><br><br><br>";
    } 
else { 


  //Processing if update putton pressed
if(!empty($_GET["Update"])) {
   
  if(!empty($_GET["visual"])) {
   $update = $_GET["visual"];
  }
  else{ 
   $update = '0';
  } 

  //Upadate database with visual settings
  $sql1 = "UPDATE settings SET visualenable = '$update';";
  $exe = mysqli_query($_SESSION["link"],  $sql1 )or $mysql_e1 = 1;
  $_SESSION["visualenable"] = $update;
  


  //Update login.php page to settings
  if($update == '0'){ //0 = Disable Custom

        $contents = "<?php \$bcolor = '#FF722B'; \$bcolor2 = '#EFBB54'; \$bborder = '#d5894b'; \$hcolor1 = '#6699FF'; \$hcolor2 = '#6E7BEF'; \$alogo = '#000000'; ?>";
        file_put_contents('includes/loginvisuals.php', $contents);

  }
  elseif($update == '1'){ //1 = Enable Custom

        $contents = "<?php \$bcolor = '$_SESSION[bcolor]'; \$bcolor2 = '$_SESSION[bcolor2]'; \$bborder = '$_SESSION[bborder]'; \$hcolor1 = '$_SESSION[hcolor1]'; \$hcolor2 = '$_SESSION[hcolor2]'; \$alogo = '$_SESSION[alogo]'; ?>";

        file_put_contents('includes/loginvisuals.php', $contents);

  }

//Refresh Page to show changes right away
header('Location: visuals.php');

}

if(!empty($_POST["UpdateV"])) { //UpdateV = Upate Dustom Values

//GET NEW VALUES FROM FORM
 $bg1 = $_POST["bcolor"];
 $bg2 = $_POST["bcolor2"];
 $bbb = $_POST["bborder"];
 $ab1 = $_POST["abcolor"];
 $ab2 = $_POST["abcolor2"];
 $abb = $_POST["abborder"];
 $hc1 = $_POST["hcolor1"];
 $hc2= $_POST["hcolor2"];
 $alogo= $_POST["alogo"];

 $_SESSION["bcolor"] = $bg1;
 $_SESSION["bcolor2"] = $bg2;
 $_SESSION["bborder"] = $bbb;
 $_SESSION["abcolor"] = $ab1;
 $_SESSION["abcolor2"] = $ab2;
 $_SESSION["abborder"] = $abb;
 $_SESSION["hcolor1"] = $hc1;
 $_SESSION["hcolor2"]= $hc2;
 $_SESSION["alogo"]= $alogo;

  
  
  //If updading the color values, must update the login page first IF custom visuals are enabled
     if($_SESSION["visualenable"] =='1'){
        
        $contents = "<?php \$bcolor = '$_SESSION[bcolor]'; \$bcolor2 = '$_SESSION[bcolor2]'; \$bborder = '$_SESSION[bborder]'; \$hcolor1 = '$_SESSION[hcolor1]'; \$hcolor2 = '$_SESSION[hcolor2]'; \$alogo = '$_SESSION[alogo]'; ?>";

        file_put_contents('includes/loginvisuals.php', $contents);

     }





 $sql2 = "UPDATE visual SET bcolor = '".$_POST["bcolor"]."',bcolor2 = '".$_POST["bcolor2"]."', bborder = '".$_POST["bborder"]."', abcolor = '".$_POST["abcolor"]."', abcolor2 = '".$_POST["abcolor2"]."', abborder = '".$_POST["abborder"]."', hcolor1 = '".$_POST["hcolor1"]."', hcolor2 = '".$_POST["hcolor2"]."', alogo = '".$_POST["alogo"]."';";
 $exe = mysqli_query($_SESSION["link"],  $sql2 )or $mysql_e1 = 1;

//Refresh Page to show changes right away
 header('Location: visuals.php');

}

if(!empty($_POST["UpdateVD"])) {  //UpdateVD = Reset Custom Values to Default
      

      //If updading the color values, must update the login page first ONLY IF custom visuals are enabled
       if($_SESSION["visualenable"] =='1'){

        //Update Session
         $_SESSION["bcolor"] = '#FF722B';
         $_SESSION["bcolor2"] = '#EFBB54';
         $_SESSION["bborder"] = '#d5894b';
         $_SESSION["abcolor"] = '#FF0000';
         $_SESSION["abcolor2"] = '#EFBB54';
         $_SESSION["abborder"] = '#d5894b';
         $_SESSION["hcolor1"] = '#6699FF';
         $_SESSION["hcolor2"]= '#6E7BEF';
         $_SESSION["alogo"]= '#000000';
         
         $contents = "<?php \$bcolor = '$_SESSION[bcolor]'; \$bcolor2 = '$_SESSION[bcolor2]'; \$bborder = '$_SESSION[bborder]'; \$hcolor1 = '$_SESSION[hcolor1]'; \$hcolor2 = '$_SESSION[hcolor2]'; \$alogo = '$_SESSION[alogo]'; ?>";

        file_put_contents('includes/loginvisuals.php', $contents);


     }



       $sql2 = "UPDATE visual SET bcolor = '".$_SESSION["bcolor"]."',bcolor2 = '".$_SESSION["bcolor2"]."', bborder = '".$_SESSION["bborder"]."', abcolor = '".$_SESSION["abcolor"]."', abcolor2 = '".$_SESSION["abcolor2"]."', abborder = '".$_SESSION["abborder"]."', hcolor1 = '".$_SESSION["hcolor1"]."', hcolor2 = '".$_SESSION["hcolor2"]."', alogo = '".$_SESSION["alogo"]."';";
       $exe = mysqli_query($_SESSION["link"],  $sql2 )or $mysql_e1 = 1;

       //Refresh Page to show changes right away
       header('Location: visuals.php');

}



$visualenable = $_SESSION["visualenable"];



echo "<br><br><form action='visuals.php' method='get'>";
//Check for Updates
echo "<center><span><b>Enable Custom Visuals: </b>";
echo "<input type='checkbox' name='visual' value='1'"; if($visualenable == '1'){echo 'checked';}; echo "></span><br><br>";
echo "<center><br><input type='submit' value='Update' name='Update' class='fancybuttonL'></center>";
echo "</form>";

echo "<br><br>";

echo "<form action='visuals.php' method='POST'>";
echo "<br><center><div STYLE='font-weight: bold; font-size: 20px;'>Custom Settings</div></center><br>";
echo "<table cellpadding='0' cellspacing='0' border=0>"; echo "<th class=bot>Setting</th>";echo "<th class=bot>Value</th>";
echo "<tr>";
echo "<td width=175>Button Color:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='bcolor' size='10' value='$_SESSION[bcolor]'></td>";
echo "</tr><tr>";
echo "<td width=175>Button Color2:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='bcolor2' size='10' value='$_SESSION[bcolor2]'></td>";
echo "</tr><tr>";
echo "<td>Button Border Color:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='bborder' size='10' value='$_SESSION[bborder]'></td>";
echo "</tr><tr>";
echo "<td>Alt Button Color:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='abcolor' size='10' value='$_SESSION[abcolor]'></td>";
echo "</tr><tr>";
echo "<td>Alt Button Color2:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='abcolor2' size='10' value='$_SESSION[abcolor2]'></td>";
echo "</tr><tr>";
echo "<td>Alt Button Border Color:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='abborder' size='10' value='$_SESSION[abborder]'></td>";
echo "</tr><tr>";
echo "<td>Header Color 1:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='hcolor1' size='10' value='$_SESSION[hcolor1]'></td>";
echo "</tr><tr>";
echo "<td>Header Color 2:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='hcolor2' size='10' value='$_SESSION[hcolor2]'></td>";
echo "</tr><tr>";
echo "<td>Logo Text Color:</td>";
echo "<td><input class=\"color {hash:true,pickerPosition:'right'}\" type='text' name='alogo' size='10' value='$_SESSION[alogo]'></td>";

echo "</tr></table>";
echo "<center><br><input type='submit' value='Update' name='UpdateV' class='fancybuttonL'></center>";
echo "</form>";;

echo "<form action='visuals.php' method='POST'>";
echo "<br><button name='UpdateVD' value='default' type='submit' class='fancybuttonL' style='width:275;'>Reset Custom to Default</button>";
echo "<br><br><br><br>";

} 


include 'includes/lfooter.php';
echo '</center></center>'; 
include 'includes/userinfo.php'; 


echo "</body>";
echo "</html>"; 
?>