<?php
/*
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/
session_start();


//v_update runs the code to convert the config.php site to mysqli, if its already done it dones nothing
include 'v_update.php';

echo '<html>';
echo "<head><title>AssetTrackDB</title><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0" />';
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';

//require_once 'config2.php';

//echo "Session Save Path: " . ini_get( 'session.save_path');

//These are the values used by this page to comply with custom visual settings
//When updated the values here are changed.

include 'includes/loginvisuals.php';


//Default Visual values, here for reference
// 'FF722B';
// 'EFBB54';
// 'd5894b';
// '6699FF';
// '6E7BEF';
// '000000';

echo '<style>';
  echo '.fancybutton {';  //bcolor (button), bborder (button border)
  echo 'background-image: -ms-linear-gradient(top, '. $bcolor.' 0%, '. $bcolor2.' 100%);';
  echo 'background: -moz-linear-gradient(top, '. $bcolor.' 0%, '. $bcolor2.' 100%);';
  echo 'background: -o-linear-gradient(top, '. $bcolor.' 0%, '. $bcolor2.' 100%);';
  echo 'background: -webkit-gradient(linear, left top, left bottom, color-stop(0, '. $bcolor.'), color-stop(1, '. $bcolor2.'));';
  echo 'background: -webkit-linear-gradient(top, '. $bcolor.' 0%, '. $bcolor2.' 100%);';
  echo 'background: linear-gradient(to bottom, '. $bcolor.' 0%, '. $bcolor2.' 100%);';
  echo 'border: 1px solid '. $bborder .';';
  echo '}';

  echo '#page1 {background-image: linear-gradient(to bottom, '.$hcolor1.' 0%, '.$hcolor2.' 100%); background-color: '.$hcolor1.';}';  //Header Color

  echo '.logo {';  //bcolor (button), bborder (button border)
  echo ' color: '.$alogo.';';
  echo ' text-shadow: '.$alogo.' .5px .5px .5px;';
  echo '}';

  


echo '</style>';
echo '</head>';
echo '<body>';

?>

<center>
<table height=60 id="page1" style="width: 100%; text-align: center; margin-left: auto; margin-right: auto;" border="0" cellpadding="0" cellspacing="0">
<tr><td valign="right" width=25%>
		<table style="width: 100; text-align: center; margin-left: auto; margin-right: auto;" border="0" cellpadding="0" cellspacing="0">
 			<tr>
  			<td valign="middle" width=65> <img src="images/logo.png" width="75" height="50"></td>
  			<td width=110 height=5 valign="middle"><span class=logo>AssetTrackDB</span></td>
 			</tr>
		</table>
</td><td width=50%>

  <table style="width: 620; text-align: center; margin-left: auto; margin-right: auto;" border="0" cellpadding="2" cellspacing="0">
   <tr><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
   <tr><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
  </table>
</td>
<td width=25%></td>

</tr>
</table>
</center>

<?php
//MYSQL ERROR DISPLAY
if(!empty($err11)){
    if($err11 == '0'){}
    else{
      echo "<div id=err style='text-align:center;'>MySQL Error ". $err11 . " - ". $err22 . "</div>";
      }
}

?>

<center>
<br>
<table width="300" border="0" align="center" cellpadding="0" cellspacing="1">
<tr>
<form name="form1" method="post" action="checklogin.php">
<td>
<table width="100%" border="0" cellpadding="3" cellspacing="1">
<tr>
<td colspan="3"><h3><center>User Login</center></h3></td>
</tr>

<?php
     if(!empty($_GET['error'])){
        $error = $_GET['error'];
        
        if ($error == 'login'){
           echo '<tr><td colspan="3"><center><div style="height: 22px;" id="err">Bad Username/Password</td></tr>';
        }
     }
?>

<tr>
<td width="78">Username</td>
<td width="6">:</td>
<td width="294"><input name="myusername" type="text" id="myusername"></td>
</tr>
<tr>
<td>Password</td>
<td>:</td>
<td><input name="mypassword" type="password" id="mypassword"></td>
</tr>
<tr>
<td colspan=3><center><input style="color: white; font-weight: bold;" type="submit" name="Submit" value="Login" class='fancybutton'></center></td>
</tr>
</table>
</td>
</form>
</tr>
</table>
<br><br><br>

<?php

if(!empty($_GET['asset'])) {
  $asset = $_GET['asset'];
  	if ($asset == "no"){
  	echo "<div id=err>Not in Database</div>";
 	}
  	elseif($asset == "yes"){
  	echo "<div id=dcs>Asset in Database</div>";
  	}
  }
  
?>


<br><br>

<form name="form2" method="get" action="checklogin.php">
<table border=0><tr>
<td><center><div style='font-size:20px; font-weight:bold;'>Asset Checker</div></center></td>
</tr>
<tr>
<td><center>Bar Code / Asset Tag:</td></tr>
<tr><td><center><input name="bar_code" type="text" id="bar_code"></input></center></td>
</tr>
<tr>
<td><center><input style="font-weight: bold; color: white;" name="check" type="submit" value="Check" class='fancybutton'></center></td>
</tr>
</table>
</form>

<br><br><br><br>
<?php
include 'includes/footer.php';
?>

</body>
</html>